Get connection invite by ID - Fabric

Get connection invite by ID

cURL

curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/connection-invites/{id}/ \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/connection-invites/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/connection-invites/{id}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Example

{
  "company_name": "TechCorp",
  "first_name": "John",
  "last_name": "Doe",
  "email": "johndoe@example.com",
  "id": 12345,
  "memos": "Please review the terms.",
  "status": "pending",
  "retailer": "Retailer X",
  "connection": "TechCorp-Connection",
  "fees": "15.00",
  "commission_profile": "Standard",
  "level": "transactions_and_products",
  "adjustments": "Discount applied",
  "slas": "Next Day Delivery",
  "options": "Gift Wrapping available",
  "shipping_accounts": "FedEx, UPS",
  "onboarding_target_date": "2024-04-30T00:00:00Z",
  "retailer_identifier": "Retailer-01",
  "created_at": "2024-03-01T12:00:00Z",
  "invite_sent_at": "2024-03-01T14:00:00Z"
}

Authorization

Authorization string header required with the format Bearer <token>.

Path Parameters

Response Status Code

200 - application/json

Response Structure